### Enumeration

# Gtk BorderStyle

#### Declaration

    enum Gtk.BorderStyle

#### Description [src]

Describes how the border of a UI element should be rendered.

#### Members

Name | Description
--- | ---
`GTK_BORDER_STYLE_NONE` | No visible border.
`GTK_BORDER_STYLE_HIDDEN` | Same as `GTK_BORDER_STYLE_NONE`.
`GTK_BORDER_STYLE_SOLID` | A single line segment.
`GTK_BORDER_STYLE_INSET` | Looks as if the content is sunken into the canvas.
`GTK_BORDER_STYLE_OUTSET` | Looks as if the content is coming out of the canvas.
`GTK_BORDER_STYLE_DOTTED` | A series of round dots.
`GTK_BORDER_STYLE_DASHED` | A series of square-ended dashes.
`GTK_BORDER_STYLE_DOUBLE` | Two parallel lines with some space between them.
`GTK_BORDER_STYLE_GROOVE` | Looks as if it were carved in the canvas.
`GTK_BORDER_STYLE_RIDGE` | Looks as if it were coming out of the canvas.